## kactivities-kf5 5.3.0

=== debian/changelog ===
kactivities-kf5 (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:14:27 +0100

kactivities-kf5 (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Split out qml to its own package. 
  * Added missing dependencies.
  * Added missing files to install file. 
  * Batchpatch symbols - removed 3 MISSING 
     - std::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::~_Sp_counted_base()
  * Revert to original install paths. Upstream Review:120229

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:02:55 +0200

kactivities-kf5 (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update extra-cmake-modules depend version 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:32:20 +0200

kactivities-kf5 (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Jul 2014 10:24:26 +0200
