=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kactivities-(.*)\.tar\.xz

http://download.kde.org/stable/frameworks/([\d\.]*)/kactivities-(.*)\.tar\.xz
