=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
                libboost-dev,
-               libkf5config-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5declarative-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5kcmutils-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5declarative-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5kcmutils-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5package-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qtdeclarative5-dev
@@ -57,11 +58,13 @@
  This library provides functionality for managing Activities.
  .
  Contains debug symbols for kactivities.
- 
+
 Package: qml-module-org-kde-extensionplugin
 Architecture: any
 Multi-arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5activities5 (>= ${source:Version})
+Depends: libkf5activities5 (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1)
 Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1)
 Description: provides integration of QML and KDE Frameworks - extensionplugin
