## kactivities-kf5 5.15.0

=== debian/changelog ===
kactivities-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:42:11 +0100

kactivities-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:09:13 +0100

kactivities-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:47:02 +0200

kactivities-kf5 (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Vivid backport 

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:23:24 +0200

kactivities-kf5 (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 13:46:38 +0200

kactivities-kf5 (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:42:05 +0200

kactivities-kf5 (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:29 +0200

kactivities-kf5 (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:56 +0100

kactivities-kf5 (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:50 +0100

kactivities-kf5 (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Feb 2015 18:04:39 +0100
