=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5declarative-dev (>= 5.15.0~),
               libkf5globalaccel-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kcmutils-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5windowsystem-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/kdelibs/kactivities
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kactivities.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kactivities.git

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: kactivities
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-activities,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkactivities-bin
Description: Runtime to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: libkf5activities5-dbg
Architecture: any
Multi-arch: same
Priority: extra
Section: debug
Depends: libkf5activities5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kactivities
 This library provides functionality for managing Activities.
 .
 Contains debug symbols for kactivities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.13.0+git20150903.0700)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.13.0+git20150903.0700)
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-extensionplugin
Depends: qml-module-org-kde-activities, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
