## kactivities-kf5 5.18.0

=== debian/changelog ===
kactivities-kf5 (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Override the libkactivitymanager_plugin lintian warnings, the lib is only
    used internally

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:17:51 +0100

kactivities-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Add the new settings files.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:00 +0100

kactivities-kf5 (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  * Add missing files. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 20:25:32 -0700

kactivities-kf5 (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:29 +0100

kactivities-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:54 +0200

kactivities-kf5 (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:06 +0200
 

kactivities-kf5 (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 20:40:32 +0200
 

kactivities-kf5 (5.12.0-2) unstable; urgency=high

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make kactivities depend upon libqt5sql5-sqlite, as it's a harcoded
    requirement (Closes: #793826).
  * Make libkf5activities5-dbg recommend qtbase5-dbg, as it's based on it.

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 27 Jul 2015 22:55:18 -0300

kactivities-kf5 (5.12.0-1) unstable; urgency=medium

  * Update symbols files. (Closes: #791865)
  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:12 +0200

kactivities (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 15:42:46 +0200

kactivities (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:14 +0100

kactivities (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:15:58 +0200

kactivities (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:37:35 +0100

kactivities (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:09:09 +0200

kactivities (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:55:47 +0100

kactivities (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:35:47 +0000

kactivities (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:40 +0200

kactivities (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:48 +0100

kactivities (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:28:24 +0100

kactivities (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update acc files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:38 +0100

kactivities (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:37:02 +0000

kactivities (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:56:39 +0000

kactivities (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:25:13 +0000

kactivities (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:31:29 +0000

kactivities (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:43:08 +0100

kactivities (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:26:57 +0100

kactivities (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Jan 2014 21:30:13 -0300

kactivities (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 16:33:55 +0100

kactivities (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build-dependency version.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2013 17:11:50 +0200

kactivities (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:32:23 +0200

kactivities (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:57:29 +0100


