=== debian/control ===
--- 
+++ 
@@ -5,25 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
                libboost-dev (>= 1.49~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5declarative-dev (>= 5.15.0~),
-               libkf5globalaccel-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5kcmutils-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5declarative-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5kcmutils-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
-Homepage: https://projects.kde.org/projects/kde/kdelibs/kactivities
+Homepage: https://projects.kde.org/projects/frameworks/kactivities
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kactivities.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kactivities.git
 
@@ -47,11 +46,14 @@
 
 Package: kactivities
 Architecture: any
-Depends: plasma-framework,
+Depends: libqt5sql5-sqlite,
+         plasma-framework,
          qml-module-org-kde-activities,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libkactivities-bin
+Breaks: libkactivities-bin
+Replaces: libkactivities-bin
 Description: Runtime to organize the user work in separate activities.
  This library provides functionality for managing Activities.
 
@@ -61,6 +63,7 @@
 Priority: extra
 Section: debug
 Depends: libkf5activities5 (= ${binary:Version}), ${misc:Depends}
+Recommends: qtbase5-dbg
 Description: debug symbols for kactivities
  This library provides functionality for managing Activities.
  .
